From 342aa0ad1a645f468a24266f402d92541d4fd58a Mon Sep 17 00:00:00 2001
From: Roger Light <roger@atchoo.org>
Date: Fri, 20 Aug 2021 23:49:59 +0100
Subject: [PATCH] Fix installation using WITH_TLS=no.

Closes #2281. Thanks to Matt Turner.
---
 ChangeLog.txt                  | 3 +++
 apps/mosquitto_passwd/Makefile | 2 ++
 2 files changed, 5 insertions(+)

diff --git a/apps/mosquitto_passwd/Makefile b/apps/mosquitto_passwd/Makefile
index 3238cf3e..1fbf5e12 100644
--- a/apps/mosquitto_passwd/Makefile
+++ b/apps/mosquitto_passwd/Makefile
@@ -37,8 +37,10 @@ password_mosq.o : ../../src/password_mosq.c ../../src/password_mosq.h
 	${CROSS_COMPILE}${CC} $(APP_CPPFLAGS) $(APP_CFLAGS) -c $< -o $@
 
 install : all
+ifeq ($(WITH_TLS),yes)
 	$(INSTALL) -d "${DESTDIR}$(prefix)/bin"
 	$(INSTALL) ${STRIP_OPTS} mosquitto_passwd "${DESTDIR}${prefix}/bin/mosquitto_passwd"
+endif
 
 uninstall :
 	-rm -f "${DESTDIR}${prefix}/bin/mosquitto_passwd"
-- 
2.31.1

